org.eclipse.eef.core.api.controllers

## Class AbstractEEFCustomWidgetController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController
    - - org.eclipse.eef.core.api.controllers.AbstractEEFCustomWidgetController

All Implemented Interfaces:
  IEEFController, IEEFWidgetController

    public abstract class AbstractEEFCustomWidgetController
    extends AbstractEEFWidgetController

This class is used to provide utilities to custom widget controller.

### Field Summary

Fields
`protected EEFCustomWidgetDescription` `description` The description.

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`newHelpConsumer, newLabelConsumer`

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`editingContextAdapter, interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFCustomWidgetController(EEFCustomWidgetDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `executeCommandExpression(java.lang.String customExpressionId)` Execute a custom expression in a command.
`protected java.util.Optional<java.lang.String>` `getCustomExpression(java.lang.String customExpressionId)` Get the custom expression with the given id.
`protected EEFCustomWidgetDescription` `getDescription()` Returns the widget description.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`computeHelp, getValidationRulesContainer, getValidationRulesReference, onNewHelp, onNewLabel, refresh, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, removeValidationConsumer`

### Field Detail

#### description

    protected final EEFCustomWidgetDescription description

The description.

### Constructor Detail

#### AbstractEEFCustomWidgetController

    public AbstractEEFCustomWidgetController(EEFCustomWidgetDescription description,
                                             org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                             org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                             EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter.

### Method Detail

#### getDescription

    protected EEFCustomWidgetDescription getDescription()

Returns the widget description.

Specified by:
  `getDescription` in class `AbstractEEFWidgetController`
Returns:
  The widget description
See Also:
  `AbstractEEFWidgetController.getDescription()`

#### getCustomExpression

    protected java.util.Optional<java.lang.String> getCustomExpression(java.lang.String customExpressionId)

Get the custom expression with the given id.

Parameters:
  `customExpressionId` - Identifier of the custom expression
Returns:
  An optional with the custom expression or an empty optional if none could be found

#### executeCommandExpression

    protected void executeCommandExpression(java.lang.String customExpressionId)

Execute a custom expression in a command.

Parameters:
  `customExpressionId` - Identifier of the custom expression to execute